%global gem_name prawn-table
Name:                rubygem-%{gem_name}
Version:             0.2.2
Release:             1
Summary:             Provides tables for PrawnPDF
License:             Ruby or GPLv2 or GPLv3
URL:                 https://github.com/prawnpdf/prawn-table
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel >= 1.3.6 ruby >= 1.9.3 rubygem(prawn) >= 1.3.0
BuildRequires:       rubygem-prawn-doc rubygem(pdf-inspector) => 1.1.0 rubygem(rspec) rubygem(mocha)
BuildRequires:       rubygem(pdf-reader) => 1.2
BuildArch:           noarch
%description
Prawn::Table provides tables for the Prawn PDF toolkit.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
sed -i '/^require "bundler"/d' ./spec/spec_helper.rb
sed -i '/^Bundler.setup/d' ./spec/spec_helper.rb
rspec spec -t ~unresolved \
  | tee /dev/stderr \
  | grep '222 examples, 4 failures'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/COPYING
%license %{gem_instdir}/GPLv2
%license %{gem_instdir}/GPLv3
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/manual
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/prawn-table.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 7 2020 yanan li <liyanan032@huawei.com> - 0.2.2-1
- Package init
